#pragma once
#include <string>
#include <cstdlib>
using namespace std;

enum ELoLChampion{
	eLoLChampion_UniqueId,
	eLoLChampion_name,
	eLoLChampion_lane,
	eLoLChampion_role,
	eLoLChampion_price,
};

class LoLChampion{
public:
	int GetUniqueId() const { return UniqueId;}
	void SetUniqueId(int InUniqueId){UniqueId = InUniqueId;}

	string Getname() const { return name;}
	void Setname(string Inname){name = Inname;}

	string Getlane() const { return lane;}
	void Setlane(string Inlane){lane = Inlane;}

	string Getrole() const { return role;}
	void Setrole(string Inrole){role = Inrole;}

	int Getprice() const { return price;}
	void Setprice(int Inprice){price = Inprice;}

	void FillData(std::vector<string>& In){
		SetUniqueId(atoi(In[eLoLChampion_UniqueId].c_str()));
		Setname(In[eLoLChampion_name].c_str());
		Setlane(In[eLoLChampion_lane].c_str());
		Setrole(In[eLoLChampion_role].c_str());
		Setprice(atoi(In[eLoLChampion_price].c_str()));
	}
private:
	int UniqueId;
	string name;
	string lane;
	string role;
	int price;
};